<template>
  <button
    :type="type"
    :class="color"
    @Button="$emit('Button', $event.target.value)"
  >
    <slot></slot>
  </button>
</template>

<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  name: "ReButton",
  props: {
    type: {
      type: String as () => "submit" | "reset" | "button",
      default: "button",
    },
    color: {
      type: String,
      default: "primary",
    },
  },
});
</script>
<!-- <style scoped>
button {
  appearance: none;
  border: 0;
  box-shadow: 0px 0px 1px rgba(0, 0, 0, 0.12), 0px 2px 4px rgba(0, 0, 0, 0.12);

  /* border: 1px solid #ccc; */
  background-color: #5083ff;
  color: white;
  padding: 0.5em;
  font-size: 1rem;
}
.secondary {
  background: #ff7253;
}

.ternary {
  color: #000;
  background-color: #fff;
}
</style> -->
